Loading...
Searching...
No Matches
casacore::SDFeedHandler Class Reference
msfits package (libcasa_msfits) » MSFits_module » MSFits_module_internal_classes

More...

`#include <SDFeedHandler.h>`

## Public Member Functions

| SDFeedHandler ()
| default ctor is not attached to a MS and hence is useless until attached
| SDFeedHandler (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach this to a MS - no columns are explicitly handled here
| SDFeedHandler (const SDFeedHandler &other)
| copy ctor
| ~SDFeedHandler ()
SDFeedHandler & | operator= (const SDFeedHandler &other)
| assignment operator, uses copy semantics
void | attach (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| attach to a MS, the handledCols and row arguments are ignored here
void | resetRow (const Record &row)
| reset internals given indicated row, use the same MS
void | fill (const Record &row, Int antennaId, Int spwinId, const Vector< Int > &stokes)
| fill - a new row is added only when necessary
Int | feedId ()
| get the current feed ID
Int | numReceptors ()
| the current NUM_RECEPTORS value

## Private Member Functions

void | stokesToPolType (const Vector< Int > &stokes, Vector< String > &polType)
| get the polarization type from the stokes vector
void | clearAll ()
| cleanup everything
void | clearRow ()
void | initAll (MeasurementSet &ms, Vector< Bool > &handledCols, const Record &row)
| initialize everything
void | initRow (Vector< Bool > &handledCols, const Record &row)
| initialize things which depend on row

## Private Attributes

RecordFieldPtr< Int > | numRecpKey_p
ColumnsIndex * | index_p
MSFeed * | msFeed_p
MSFeedColumns * | msFeedCols_p
Int | feedId_p
Int | nextFeedId_p
Int | nrecpt_p
RORecordFieldPtr< Int > | feed1Field_p
| fields which might be the result of saving via ms2sdfits
RORecordFieldPtr< Int > | feed2Field_p
RORecordFieldPtr< Int > | beamIdField_p
RORecordFieldPtr< Int > | phasedFeedIdField_p
RORecordFieldPtr< Int > | numReceptorsField_p
RORecordFieldPtr< Double > | intervalField_p
RORecordFieldPtr< Double > | timeField_p
RORecordFieldPtr< Double > | scaReceptorAngleField_p
RORecordFieldPtr< Array< Double > > | beamOffsetField_p
RORecordFieldPtr< Array< Double > > | positionField_p
RORecordFieldPtr< Array< Double > > | receptorAngleField_p
RORecordFieldPtr< Array< Complex > > | polResponseField_p
RORecordFieldPtr< String > | polarizationTypeField_p

## Detailed Description

### Intended use:

Internal or

### Intended use:

Internal

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- SomeClass
- SomeOtherClass
- some concept

### Etymology

### Synopsis

### Example

### Motivation

### Template Type Argument Requirements (T)

### Thrown Exceptions

### To Do

- add this feature
- fix this bug
- start discussion of this possible extension

Definition at line 84 of file SDFeedHandler.h.

## Constructor & Destructor Documentation

## SDFeedHandler() [1/3]

casacore::SDFeedHandler::SDFeedHandler | ( |  | ) |

default ctor is not attached to a MS and hence is useless until attached

Referenced by operator=(), and SDFeedHandler().

## SDFeedHandler() [2/3]

casacore::SDFeedHandler::SDFeedHandler | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach this to a MS - no columns are explicitly handled here

References casacore::Record().

## SDFeedHandler() [3/3]

casacore::SDFeedHandler::SDFeedHandler | ( | const SDFeedHandler & | other | ) |

copy ctor

References SDFeedHandler().

## ~SDFeedHandler()

casacore::SDFeedHandler::~SDFeedHandler | ( |  | ) |

inline

Definition at line 96 of file SDFeedHandler.h.

References clearAll().

## Member Function Documentation

## attach()

void casacore::SDFeedHandler::attach | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

attach to a MS, the handledCols and row arguments are ignored here

References casacore::Record().

## clearAll()

void casacore::SDFeedHandler::clearAll | ( |  | ) |

private

cleanup everything

Referenced by ~SDFeedHandler().

## clearRow()

void casacore::SDFeedHandler::clearRow | ( |  | ) |

private

## feedId()

Int casacore::SDFeedHandler::feedId | ( |  | ) |

inline

get the current feed ID

Definition at line 111 of file SDFeedHandler.h.

References feedId_p.

## fill()

void casacore::SDFeedHandler::fill | ( | const Record & | row,
|  | Int | antennaId,
|  | Int | spwinId,
|  | const Vector< Int > & | stokes )

fill - a new row is added only when necessary

References casacore::Record().

## initAll()

void casacore::SDFeedHandler::initAll | ( | MeasurementSet & | ms,
|  | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize everything

References casacore::Record().

## initRow()

void casacore::SDFeedHandler::initRow | ( | Vector< Bool > & | handledCols,
|  | const Record & | row )

private

initialize things which depend on row

References casacore::Record().

## numReceptors()

Int casacore::SDFeedHandler::numReceptors | ( |  | ) |

inline

the current NUM_RECEPTORS value

Definition at line 114 of file SDFeedHandler.h.

References nrecpt_p.

## operator=()

SDFeedHandler & casacore::SDFeedHandler::operator= | ( | const SDFeedHandler & | other | ) |

assignment operator, uses copy semantics

References SDFeedHandler().

## resetRow()

void casacore::SDFeedHandler::resetRow | ( | const Record & | row | ) |

reset internals given indicated row, use the same MS

References casacore::Record().

## stokesToPolType()

void casacore::SDFeedHandler::stokesToPolType | ( | const Vector< Int > & | stokes,
|  | Vector< String > & | polType )

private

get the polarization type from the stokes vector

## Member Data Documentation

## beamIdField_p

RORecordFieldPtr<Int> casacore::SDFeedHandler::beamIdField_p

private

Definition at line 124 of file SDFeedHandler.h.

## beamOffsetField_p

RORecordFieldPtr<Array<Double> > casacore::SDFeedHandler::beamOffsetField_p

private

Definition at line 126 of file SDFeedHandler.h.

## feed1Field_p

RORecordFieldPtr<Int> casacore::SDFeedHandler::feed1Field_p

private

fields which might be the result of saving via ms2sdfits

Definition at line 124 of file SDFeedHandler.h.

## feed2Field_p

RORecordFieldPtr<Int> casacore::SDFeedHandler::feed2Field_p

private

Definition at line 124 of file SDFeedHandler.h.

## feedId_p

Int casacore::SDFeedHandler::feedId_p

private

Definition at line 121 of file SDFeedHandler.h.

Referenced by feedId().

## index_p

ColumnsIndex* casacore::SDFeedHandler::index_p

private

Definition at line 117 of file SDFeedHandler.h.

## intervalField_p

RORecordFieldPtr<Double> casacore::SDFeedHandler::intervalField_p

private

Definition at line 125 of file SDFeedHandler.h.

## msFeed_p

MSFeed* casacore::SDFeedHandler::msFeed_p

private

Definition at line 118 of file SDFeedHandler.h.

## msFeedCols_p

MSFeedColumns* casacore::SDFeedHandler::msFeedCols_p

private

Definition at line 119 of file SDFeedHandler.h.

## nextFeedId_p

Int casacore::SDFeedHandler::nextFeedId_p

private

Definition at line 121 of file SDFeedHandler.h.

## nrecpt_p

Int casacore::SDFeedHandler::nrecpt_p

private

Definition at line 121 of file SDFeedHandler.h.

Referenced by numReceptors().

## numReceptorsField_p

RORecordFieldPtr<Int> casacore::SDFeedHandler::numReceptorsField_p

private

Definition at line 124 of file SDFeedHandler.h.

## numRecpKey_p

RecordFieldPtr<Int> casacore::SDFeedHandler::numRecpKey_p

private

Definition at line 116 of file SDFeedHandler.h.

## phasedFeedIdField_p

RORecordFieldPtr<Int> casacore::SDFeedHandler::phasedFeedIdField_p

private

Definition at line 124 of file SDFeedHandler.h.

## polarizationTypeField_p

RORecordFieldPtr<String> casacore::SDFeedHandler::polarizationTypeField_p

private

Definition at line 128 of file SDFeedHandler.h.

## polResponseField_p

RORecordFieldPtr<Array<Complex> > casacore::SDFeedHandler::polResponseField_p

private

Definition at line 127 of file SDFeedHandler.h.

## positionField_p

RORecordFieldPtr<Array<Double> > casacore::SDFeedHandler::positionField_p

private

Definition at line 126 of file SDFeedHandler.h.

## receptorAngleField_p

RORecordFieldPtr<Array<Double> > casacore::SDFeedHandler::receptorAngleField_p

private

Definition at line 126 of file SDFeedHandler.h.

## scaReceptorAngleField_p

RORecordFieldPtr<Double> casacore::SDFeedHandler::scaReceptorAngleField_p

private

Definition at line 125 of file SDFeedHandler.h.

## timeField_p

RORecordFieldPtr<Double> casacore::SDFeedHandler::timeField_p

private

Definition at line 125 of file SDFeedHandler.h.

The documentation for this class was generated from the following file:

- msfits/MSFits/SDFeedHandler.h